Loading...
Searching...
No Matches
Opm::DeadOilPvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the oil phase without dissolved gas. More...

`#include <DeadOilPvt.hpp>`

## Public Types

using | TabulatedOneDFunction = Tabulated1DFunction<Scalar>

## Public Member Functions

void | setNumRegions (std::size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensities (unsigned regionIdx, Scalar rhoRefOil, Scalar, Scalar)
| Initialize the reference densities of all fluids for a given PVT region.
void | setInverseOilFormationVolumeFactor (unsigned regionIdx, const TabulatedOneDFunction &invBo)
| Initialize the function for the oil formation volume factor.
void | setOilViscosity (unsigned regionIdx, const TabulatedOneDFunction &muo)
| Initialize the viscosity of the oil phase.
void | initEnd ()
| Finish initializing the oil phase PVT properties.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
template<class Evaluation>
Evaluation | internalEnergy (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the specific enthalpy [J/kg] of oil given a set of parameters.
Scalar | hVap (unsigned) const
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the dynamic viscosity [Pa s] of gas saturated oil given a pressure.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &, const Evaluation &pressure, const Evaluation &) const
| Returns the formation volume factor [-] of the fluid phase.
template<class FluidState, class LhsEval = typename FluidState::Scalar>
std::pair< LhsEval, LhsEval > | inverseFormationVolumeFactorAndViscosity (const FluidState &fluidState, unsigned regionIdx)
| Returns the formation volume factor [-] and viscosity [Pa s] of the fluid phase.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the formation volume factor [-] of saturated oil.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &) const
| Returns the gas dissolution factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the gas dissolution factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the oil phase [Pa] depending on its mass fraction of the gas component.
template<class Evaluation>
Evaluation | saturatedGasMassFraction (unsigned, const Evaluation &, const Evaluation &) const
template<class Evaluation>
Evaluation | saturatedGasMoleFraction (unsigned, const Evaluation &, const Evaluation &) const
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &, const Evaluation &, unsigned) const
Scalar | oilReferenceDensity (unsigned regionIdx) const
const std::vector< TabulatedOneDFunction > & | inverseOilB () const
const std::vector< TabulatedOneDFunction > & | oilMu () const
const std::vector< TabulatedOneDFunction > & | inverseOilBMu () const

## Detailed Description

template<class Scalar>
class Opm::DeadOilPvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the oil phase without dissolved gas.

## Member Function Documentation

## saturatedInverseFormationVolumeFactor()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::DeadOilPvt< Scalar >::saturatedInverseFormationVolumeFactor | ( | unsigned | regionIdx,
|  | const Evaluation & | ,
|  | const Evaluation & | pressure ) const

inline

Returns the formation volume factor [-] of saturated oil.

Note that by definition, dead oil is always gas saturated.

## saturationPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::DeadOilPvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the oil phase [Pa] depending on its mass fraction of the gas component.

Parameters

  Rs | The surface volume of gas component dissolved in what will yield one cubic meter of oil at the surface [-]

## setInverseOilFormationVolumeFactor()

template<class Scalar>

void Opm::DeadOilPvt< Scalar >::setInverseOilFormationVolumeFactor | ( | unsigned | regionIdx,
|  | const TabulatedOneDFunction & | invBo )

inline

Initialize the function for the oil formation volume factor.

The oil formation volume factor is a function of and represents the partial density of the oil component in the oil phase at a given pressure.

This method sets . Note that the mass fraction of the gas component in the oil phase is missing when assuming dead oil.

## setOilViscosity()

template<class Scalar>

void Opm::DeadOilPvt< Scalar >::setOilViscosity | ( | unsigned | regionIdx,
|  | const TabulatedOneDFunction & | muo )

inline

Initialize the viscosity of the oil phase.

This is a function of ...

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/DeadOilPvt.hpp
- opm/material/fluidsystems/blackoilpvt/DeadOilPvt.cpp